ZenCart1.3.7 日本語テスト版

上記のジャンルにあてはまらない話題、雑談など
アバター
dekoboko
記事: 2
登録日時: 2007/3/11 10:19
お住まい: 川崎市川崎区

ZenCart1.3.7 日本語テスト版

投稿記事by dekoboko » 2007/3/11 10:53

デモ商品は、スナップショット版を使用。新規インストールのみ
http://zcj137a.katakana.info/download/Z ... t-1.tar.gz
テストサイト http://zcj137a.katakana.info/
本家にあるモジュールAdmin Profile(複数管理者の権限を設定)をインストール,管理者の設定のみ使用不可
Admin
UID: zencartjp
PASS: ZenCartJP
アバター
upekkha

いいですねー

投稿記事by upekkha » 2007/4/18 22:54

すばらしいと思います。
なぜレスがつかないのかなぁ。
アバター
sammy
記事: 79
登録日時: 2005/9/10 15:15
お住まい: 川崎市北部

1.2からアップグレードできないのが残念!

投稿記事by sammy » 2007/4/30 00:01

サーバにアップしてテストしていますが、まだちょっとバグがある様です。
winRARでうまく解凍できないのでサーバ上で tar -zxvf で解凍しました。

県名のプルダウンの順序が大分県から始まるので
/include/functions/functions_general.php と /admin/include/functions/html_output.php の
order by zone_name を order by zone_id に修正して北海道から始まる様に直しました。

新規アカウント作成時の登録アドレスを表示する窓の中が空です。

それとアップグレードインストールができないのがちょっと残念ですね。

以下の環境で2年間運用中
[環境] zen-cart-v1.2.0-l10n-jp-6 + mysql-3.23.58 + php-4.3.2
[OS] centOS 3.8 + BlueQuartz + Apache-2.0.51
アバター
yama
記事: 296
登録日時: 2005/9/18 01:32
お住まい: 福岡県福岡市早良区
連絡を取る:

投稿記事by yama » 2007/5/06 12:58

/admin/includes/languages/japanese/customers.php
ファイル末尾に空行があるため顧客・注文の管理→顧客管理で軽いエラーが
表示されてました。空行をカットしてオーケーでした。

あと、画像アップロード関係でエラーが出てましたが、該当ファイルを
テキストエディタで開いて上書き保存するとエラーが解消されました。
(ファイル名忘れてしまいました)
アバター
yama
記事: 296
登録日時: 2005/9/18 01:32
お住まい: 福岡県福岡市早良区
連絡を取る:

投稿記事by yama » 2007/5/08 08:47

includes/classes/_yamato.php
includes/classes/_sagawaex.php
includes/classes/_nittsu.php
これらのファイルが同梱されてないため、クロネコさんやサガワさんを設定すると
エラーになります。補完で解決です。

あと、管理画面で商品を削除する時にエラーになります。削除自体はできているようなので
ヨシとしていますが。
アバター
dekoboko
記事: 2
登録日時: 2007/3/11 10:19
お住まい: 川崎市川崎区

コメント、テスト有難うございます。

投稿記事by dekoboko » 2007/5/08 13:46

:oops: レス有難うございます。二ヶ月前からコンピューター動作不良(モニターのバックライトが頻繁に落ちる "八年前のDynabook + AirH" "Fedora Core 4")の為、見切り発車し、早急な手直しをするつもりが、ほとんど手つかずの状態です。取りあえず、ファイルとテストサイト、御指摘のバグ修正しておきましたが。
アバター
yama
記事: 296
登録日時: 2005/9/18 01:32
お住まい: 福岡県福岡市早良区
連絡を取る:

投稿記事by yama » 2007/5/08 14:07

トピ主さんからのコメントお待ちしてました。実はpmもお送りしたのですが。

個人で出されているということは文言のみの日本語化かな?と思い、実はあまり期待してなかったのでした。試しもせずに失礼なこと言ってすみません。汗
なにげなく試してみたら、けっこうきっちりとローカライズしてあったので、もしかすると1.3.0.2日本語版をベースにローカライズ部分をていねいにマージされたものなのかなと。

1.3.5あたりからセッション管理のあたりが少し変わったのか、本家で配布されている優れた最新モジュールの多くが使えず困っていたところでした。かといって古いv1.2用の豊富な既存モジュールが自由に使えるわけでもないですし。dekobokoさんの1.3.7Jが使えるなら、そのへんの問題がクリアーされるので期待しています。
最後に編集したユーザー yama on 2007/5/08 14:13 [ 編集 1 回目 ]
アバター
yama
記事: 296
登録日時: 2005/9/18 01:32
お住まい: 福岡県福岡市早良区
連絡を取る:

投稿記事by yama » 2007/5/08 14:12

あと、FCKEditorで画像のアップロードができるようにしてみました。
デフォルトでこの機能がオフになっているのは、セキュリティ上の配慮でしょうか。
英語でなんとなく、それっぽいことが書いてあった気がします。

TinyMCEは画像アップロードのツールバーアイコンを表示すればいいのかなと
思ってますが、まだ試してません。

FCKEditorもTinyMCEも、本家で配布されている各モジュールと比べると
ディレクトリ構成などが若干違うような気がします。
やや独自な組み込みなのでしょうか?
アバター
みず

投稿記事by みず » 2007/6/19 10:59

テスト版インストールしてみました。

すばらしいです。

test2バージョンですが、まだバグはありますか?

はやくオフィシャル版としてリリースしてもらいたいです。
アバター
みず

投稿記事by みず » 2007/6/20 10:54

全くプログラミングの知識がないので恐縮ですが、全くいじっていないので、たぶんバグだと思います。

お問い合わせのページをクリックすると、

Fatal error: require() [function.require]: Failed opening required '' (include_path='.:/usr/lib/php:/usr/local/lib/php') in public_html/test/includes/templates/template_default/templates/tpl_contact_us_default.php on line 41

と出ます。

改善方法がおわかりの方、是非教えていただけますか?

よろしくお願いいたします。
アバター
みず

投稿記事by みず » 2007/6/23 22:59

立て続けの投稿で申し訳ありません。

お問い合わせのページをクリックすると、

Fatal error: require() [function.require]: Failed opening required '' (include_path='.:/usr/lib/php:/usr/local/lib/php') in public_html/test/includes/templates/template_default/templates/tpl_contact_us_default.php on line 41

と出ます。


上記のエラーの件ですが、自己解決というか、どこが問題かわかりました。

includes > modules > contact_usの中にあるべきファイルである、header_php.phpが解凍したフォルダーの中に入っていませんでした。

本家の物を入れたらエラーは表示されなくなりました。(動作確認はまだしてませんが。)

話は変わりますが、このテスト版の1.3.7で、共有SSLと、本家にあるintegrated COWOA(ゲスト購入モジュール)の動作確認できました。二つともとても欲しかった機能だったので、ほんとうにdekobokoさんをはじめ、sammyさん、yamaさんに感謝いたします。
アバター
yama
記事: 296
登録日時: 2005/9/18 01:32
お住まい: 福岡県福岡市早良区
連絡を取る:

投稿記事by yama » 2007/9/02 20:32

みず さんが書きました:話は変わりますが、このテスト版の1.3.7で、共有SSLと、本家にあるintegrated COWOA(ゲスト購入モジュール)の動作確認できました。二つともとても欲しかった機能だったので、ほんとうにdekobokoさんをはじめ、sammyさん、yamaさんに感謝いたします。


試してみたところ、共有SSLがうまくいきません。ログインしようとすると「Webブラウザのクッキー(Cookie)が未設定、あるいは無効となっています」と表示されます。こちらで試したSSL環境はxreaで、同じディレクトリ領域を別URLでアクセスさせるタイプです。「https://ss2.xrea.com/domainname.com/index.php」みたいな感じですね。

本家配布の1.3.7正式版のzc_install/sql/mysql_zencart.sqlひとつだけを上書きで差し替えて新規にインストールし直すと、SSLでアクセスできるようになりました。まあこれだとまるっきり英語版って感じなので使えませんが。

あと、今回のテスト版のmysql_zencart.sqlをついでに調べてみたところ、「EXCLUDEadmin_IP_FOR_MAINTENANCE」などの文字列が多数ありました。何が変かというと、「EXCLUDEadmin」のところ。小文字で「admin」と入ってますが、ここは「EXCLUDE_ADMIN」つまり「EXCLUDE_ADMIN_IP_FOR_MAINTENANCE」ではないかと。
アバター
yama
記事: 296
登録日時: 2005/9/18 01:32
お住まい: 福岡県福岡市早良区
連絡を取る:

投稿記事by yama » 2007/9/03 09:29

mysql_zencart.sqlを修正して対応できました。wikiかどこかに貼り付ける
などして公開できればと思っています。
アバター
yama
記事: 296
登録日時: 2005/9/18 01:32
お住まい: 福岡県福岡市早良区
連絡を取る:

投稿記事by yama » 2007/9/03 09:33

んー、最近フォーラム調子悪くないですか?投稿時にエラーが表示されます。

とりあえず、具体的には以下のようにして解決です。

コード: 全て選択

UPDATE configuration SET configuration_title='クッキー利用を必須にする', configuration_description='セッションに必ずクッキーを利用します。True指定するとブラウザのクッキーがオフになっている場合はセッションを開始しません。セキュリティ上の理由から余程の理由のない限りはTrue指定のままとすることを強く推奨します。', configuration_value='True' WHERE configuration_key='SESSION_FORCE_COOKIE_USE';

これを

コード: 全て選択

UPDATE configuration SET configuration_title='クッキー利用を必須にする', configuration_description='セッションに必ずクッキーを利用します。True指定するとブラウザのクッキーがオフになっている場合はセッションを開始しません。セキュリティ上の理由から余程の理由のない限りはTrue指定のままとすることを強く推奨します。' WHERE configuration_key='SESSION_FORCE_COOKIE_USE'

こうします。
アバター
yama
記事: 296
登録日時: 2005/9/18 01:32
お住まい: 福岡県福岡市早良区
連絡を取る:

投稿記事by yama » 2007/10/16 10:24

上記の不具合に対応したものを配布します。受注メールの本文の一部が文字化けしてたり
することが時々あったりなどして、実用にはまだ要注意です。

http://kyms.ne.jp/zencart/zc137jp.html
こちらです。

画像
アバター
yama
記事: 296
登録日時: 2005/9/18 01:32
お住まい: 福岡県福岡市早良区
連絡を取る:

投稿記事by yama » 2007/10/17 11:08

きのうアップしたものは
includes/modules/pages/contact_us/header.php
が抜けてました。なので、問い合わせページが表示できませんでした。
同梱して再アップしました。
アバター
近眼星人
記事: 38
登録日時: 2007/4/29 23:09

投稿記事by 近眼星人 » 2007/10/19 16:06

yama さん

ありがたくダウンロードさせて頂きました。
早速テストさせて頂きます。
取り急ぎ感謝のコメント( ; ̄ω ̄)ゞ
-----------------------------------------
未熟者&初心者ゆえの無謀トライ中
http://zencart.my-sv.net/
http://blog.livedoor.jp/zencart/
------------------------------------------
アバター
yama
記事: 296
登録日時: 2005/9/18 01:32
お住まい: 福岡県福岡市早良区
連絡を取る:

投稿記事by yama » 2007/10/20 11:28

どうもです。プログラミングは素人なので試行錯誤ですが何か気付いたことがあれば報告ください。
ほとんど対応できないと思いますが。。

画像

プログラミング詳しい方に質問です。TinyMCEのプラグインであるibrowserの組み込みで一ヶ所、難しいところがあって止まってます。かなり初歩的なレベルだと思いますが。。汗

admin/includes/configure.phpの「define define('DIR_WS_CATALOG_IMAGES', HTTP_CATALOG_SERVER . DIR_WS_CATALOG . 'images/'); をibrowserのconfig.inc.phpの中から参照したいのですが、その方法が分かりません。
普通に $imgdir = DIR_WS_CATALOG_IMAGES ; とすると、文字列「DIR_WS_CATALOG_IMAGES」が出力されます。
どこかで「admin/includes/configure.php」を読み込む記述が必要だと思ったので
require(/admin/includes/configure.php);
などと記述してみましたが、今度はこれ自体がエラーになります。

値を決め打ちにしてしまえば無事に組み込めるのですが、配布のしやすさを考えると、パスが深いibrowserのconfig.inc.phpをさわらずに簡単に設置できるようにしたいです。
アバター
kino
記事: 893
登録日時: 2005/5/15 19:39
お住まい: 京都
連絡を取る:

投稿記事by kino » 2007/10/20 13:29

木下です。

require("/admin/includes/configure.php");

require_once("/admin/includes/configure.php");
では駄目ですか?
-----
木下 敏夫
http://www.tktools.jp/

大阪府産業デザインセンターデザイン専門員 ( http://bmb.oidc.jp/index.php?topic=-m-D14 )
奥様ショップ 店長 ( http://okusama-shop.com/ )
電脳ドロップシッピング 店長 ( http://d-064.d-shipping.net/ )
アバター
近眼星人
記事: 38
登録日時: 2007/4/29 23:09

投稿記事by 近眼星人 » 2007/10/20 14:04

すこし横道にずれますが、

新参者の意見で未熟な意見なのですが、
1.3.7日本語テスト版や本家版を、色々と触ってみて考えるのですが、

現状、1.2系や1.3.0で安定し運営している方が非常に多い事を考えると、
1.3.7の良い所だけ取り入れる方法のアップグレードはどうなんでしょうか?

(単体の記述のみを利用してファイル構成を変えない)
(現在動かしてるバージョンで安易にアップグレードができるように)

1.3.5からファイル構成が変わっているし、
editorディレクトリにそれぞれのエディターが入っているのも何だか不思議ですし、
images/uploadsがあるのに、FCKエディタでのUPファオルダが
myfileになるのも変感じですし・・・・。

英語が苦手で分からないので、いまいちですが、
セキュリティ自体に大きな変更が無いような気がして・・・・・

P.S こちらもやっとFCKエディタ動かせました( ; ̄ω ̄)ゞ感謝
-----------------------------------------

未熟者&初心者ゆえの無謀トライ中

http://zencart.my-sv.net/

http://blog.livedoor.jp/zencart/

------------------------------------------

“Zen Cart 雑談処「禅亭」” へ戻る